<?php
/**
 * Plugin Name: Radio Player
 * Plugin URI:  https://softlabbd.com/radio-player
 * Description: Adds live audio streaming to WordPress, supporting Shoutcast, Icecast, and more for easy broadcasting.
 * Version:     2.0.91
 * Author:      SoftLab
 * Author URI:  https://softlabbd.com/
 * Text Domain: radio-player
 * Domain Path: /languages/
 * License:     GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit( 'You can\'t access this page directly.' );
}

// Define plugin constants
define( 'RADIO_PLAYER_VERSION', '2.0.91' );
define( 'RADIO_PLAYER_FILE', __FILE__ );
define( 'RADIO_PLAYER_PATH', dirname( RADIO_PLAYER_FILE ) );
define( 'RADIO_PLAYER_INCLUDES', RADIO_PLAYER_PATH . '/includes' );
define( 'RADIO_PLAYER_URL', plugins_url( '', RADIO_PLAYER_FILE ) );
define( 'RADIO_PLAYER_ASSETS', RADIO_PLAYER_URL . '/assets' );
define( 'RADIO_PLAYER_TEMPLATES', RADIO_PLAYER_PATH . '/templates' );

// Load main plugin class
include_once RADIO_PLAYER_INCLUDES . '/class-main.php';
